POST /inbox/conversations/sync

Backfill conversations from Meta for an account: up to pages × limit conversations, each with its latest messages (Meta returns details for the 20 most recent messages only). Idempotent; no customer webhooks are emitted

POST
/inbox/conversations/sync

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Request Body

application/json
  1. body
accountId*string

Connected account id (must belong to the key's organization)

limit?integer

Conversations per page

Range1 <= value <= 100
Default25
pages?integer
Range1 <= value <= 10
Default3

Response Body

{accountId, platform, conversations, messages}: conversations seen and new messages stored

application/json
  1. response
accountId?string
platform?string
conversations?integer
messages?integer
Example Request
curl -X POST 'https://example.com/api/v1/inbox/conversations/sync' \  -H 'Content-Type: application/json' \  -d '{  "accountId": "string"}'
Example Response
{  "accountId": "string",  "platform": "string",  "conversations": 0,  "messages": 0}